---
title: Document.forms
slug: Web/API/Document/forms
tags:
  - API
  - DOM
  - Document
  - Forms
  - HTML DOM
  - HTML forms
  - Property
  - Reference
---
<p><span class="seoSummary">The <strong><code>forms</code></strong> read-only property of the {{domxref("Document")}} interface returns an {{domxref("HTMLCollection")}} listing all the {{HTMLElement("form")}} elements contained in the document.</span></p>

<div class="note">
<p><strong>Note:</strong> Similarly, you can access a list of a form's component user input elements using the {{domxref("HTMLFormElement.elements")}} property.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>collection</var> = <em>document</em>.forms;</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}} object listing all of the document's forms. Each item in the collection is a {{domxref("HTMLFormElement")}} representing a single <code>&lt;form&gt;</code> element.</p>

<p>If the document has no forms, the returned collection is empty, with a length of zero.</p>

<h2 id="Example">Examples</h2>

<h3 id="Getting_form_information">Getting form information</h3>

<pre class="brush:html">&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;

&lt;head&gt;
&lt;title&gt;document.forms example&lt;/title&gt;
&lt;/head&gt;

&lt;body&gt;

&lt;form id="robby"&gt;
  &lt;input type="button" onclick="alert(document.forms[0].id);" value="robby's form" /&gt;
&lt;/form&gt;

&lt;form id="dave"&gt;
  &lt;input type="button" onclick="alert(document.forms[1].id);" value="dave's form" /&gt;
&lt;/form&gt;

&lt;form id="paul"&gt;
  &lt;input type="button" onclick="alert(document.forms[2].id);" value="paul's form" /&gt;
&lt;/form&gt;

&lt;/body&gt;
&lt;/html&gt;
</pre>

<h3 id="Getting_an_element_from_within_a_form">Getting an element from within a form</h3>

<pre class="brush: js">var selectForm = document.forms[index];
var selectFormElement = document.forms[index].elements[index];
</pre>

<h3 id="Named_form_access">Named form access</h3>

<pre class="brush: html">&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
  &lt;title&gt;document.forms example&lt;/title&gt;
&lt;/head&gt;

&lt;body&gt;

&lt;form name="login"&gt;
  &lt;input name="email" type="email"&gt;
  &lt;input name="password" type="password"&gt;
  &lt;button type="submit"&gt;Log in&lt;/button&gt;
&lt;/form&gt;

&lt;script&gt;
  var loginForm = document.forms.login; // Or document.forms['login']
  loginForm.elements.email.placeholder = 'test@example.com';
  loginForm.elements.password.placeholder = 'password';
&lt;/script&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-forms', 'Document.forms')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 HTML', 'html.html#ID-1689064', 'Document.forms')}}</td>
   <td>{{ Spec2('DOM2 Events') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_Also">Browser compatibility</h2>

<p>{{Compat("api.Document.forms")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/HTML/Forms">HTML forms</a></li>
 <li>{{HTMLElement("form")}} and the {{domxref("HTMLFormElement")}} interface</li>
</ul>

<div>{{APIRef("DOM")}}</div>
